Submit an async event

Use this endpoint to submit a single event for a specified customer asyncronously. The event is accepted immediately and processed in the background.
This endpoint is compatible with the following event actions:

  • point_add
  • checkout
  • checkout_item
  • checkout_update
  • checkout_update_item
  • checkout_accept
  • checkout_accept_item
  • checkout_reject
  • partial_refund
  • refund_item
  • refund
  • opt_in
  • opt_out
  • profile

The attributes provided in the data object are examples of point_add and checkout events. Refer to the complete list of events for all the attributes of the mentioned actions.

Examples of event submission:

  • Standard event submission: Submit an event for the customer without any additional identifiers.
  • Event submission with an external ID: Include the external_id attribute to link the event with an external identifier of the customer from another system or database.
  • Event submission with multiple accounts: Specify multiple accounts by including their IDs in the 'account' attribute. This requires the Points economy module to be enabled.

    Note: if no account is specified, the event will be assigned to the default account.
Body Params
string

The endpoint configured under the Trusted sites module where the system sends the result of asynchronous event processing.

string
required

The unique ID of the customer.

string

The external ID of the customer. This is only required for external ID lookup.

string
enum
required

The corresponding event action. For a complete list of available actions, please visit full list of events.

Allowed:
string

The unique ID of the account. This is only required for multi-accounts.

data
object
required
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json